/* drivers/barcelona/sound/codec.c
 *
 * Definitions of codec-related types, variables and functions.
 *
 * Copyright (C) 2005 TomTom BV <http://www.tomtom.com/>
 * Author: Dimitry Andric <dimitry.andric@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include <linux/kernel.h>
#include <barcelona/gopins.h>
#include <barcelona/gotype.h>
#include <barcelona/debug.h>
#include "codec.h"
#include "wm8711.h"
#include "wm8971.h"

#define PFX "codec: "
#define PK_DBG PK_DBG_FUNC

struct codec_ops codec_ops;

void codec_init(void)
{
	switch (IO_GetCodecType()) {
	case GOCODEC_WM8711:
		wm8711_init(&codec_ops);
		break;
	case GOCODEC_WM8971:
		wm8971_init(&codec_ops);
		break;
	default:
		PK_WARN("Don't know which codec to initialize\n");
		break;
	}
}

/* EOF */
