/* include/barcelona/gotype.h
 *
 * Declarations for different TomTom GO types.
 *
 * Copyright (C) 2004,2005,2006 TomTom BV <http://www.tomtom.com/>
 * Authors: Dimitry Andric <dimitry.andric@tomtom.com>
 *          Jeroen Taverne <jeroen.taverne@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __INCLUDE_BARCELONA_GOTYPE_H
#define __INCLUDE_BARCELONA_GOTYPE_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* All GO types */
#define GOTYPE_CLASSIC		1
#define GOTYPE_M100		2
#define GOTYPE_M300		3
#define GOTYPE_M500		4
#define GOTYPE_BILBAO		5
#define GOTYPE_GLASGOW		6
#define GOTYPE_COLOGNE		7
#define GOTYPE_VALENCIA500	8
#define GOTYPE_VALENCIA700	9
#define GOTYPE_ABERDEEN		10
#define GOTYPE_EDINBURGH	11
#define GOTYPE_MURCIA500	12
#define GOTYPE_MURCIA700	13
#define GOTYPE_NEWCASTLE	14
#define GOTYPE_CORK		15
#define GOTYPE_LIMERICK		16
#define GOTYPE_LISBON		17
#define GOTYPE_MILAN		18
#define GOTYPE_CASABLANCA	19
#define GOTYPE_KNOCK		20
#define GOTYPE_PALERMO		21
#define GOTYPE_ROME		22
#define GOTYPE_DUBLIN		23
#define GOTYPE_MODENA		25
#define GOTYPE_MARIGOT		26
#define GOTYPE_ATLAS3EVB	27
#define GOTYPE_REDWOOD		28
#define GOTYPE_PALERMOC		29
#define GOTYPE_CAIRNS		30
#define GOTYPE_ROMEC		31
#define GOTYPE_FAYETTEVILLE_CASABLANCA	32
#define GOTYPE_FAYETTEVILLE_LIMERICK	33

/* Development boards */
#define GOTYPE_SMDK2410		129
#define GOTYPE_SMDK2440		130
#define GOTYPE_SMDK2413		131
#define GOTYPE_SMDK2443		132

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __INCLUDE_BARCELONA_GOTYPE_H */

/* EOF */
